Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040125
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Cash upmajoralways2019-02-04 16:492019-03-07 08:52
Reporterinaki_garciaView Statuspublic 
Assigned TojavierRodriguez 
PrioritynormalResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision1eb79cfcd128
ProjectionnoneETAnoneTarget Version
OSOtherDatabaseAnyJava version
OS VersioniOS 12.1.1 (16C50)Database versionAnt version
Product VersionmainSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040125: [RR19Q1] [iPad] [UX] The user tag and "Bring" button in the cashup step of "Review pending receipts" displace the close button

DescriptionWhen reviewing the pending open receipts when performing a cashup, the lines for the receipts that belong to another user of the same terminal present a layout issue:
the label of the user and the "Bring" move the close button "X" out of the pane, making it invisible at first glance. This is a major usability issue and can make the
cash up experience very unintuitive, as it is the case with the iPad where the scroll to make the button visible doesn't appear.
Steps To Reproduce0. Log in the Web POS as user "Openbravo"
1. Add a product to the ticket
2. Force a log out by sesion expiration by waiting for 1 hour
3. Click on the "Log in again" button on the "Online" popup that appears
4. Log back in the Web POS as user "vallblanca"
5. Click on the "Cash up" button from the dropdown menu

NOTICE that the "Review pending receipts" step appears with the visual error and the close button can only be shown by scrolling to the right, as depicted in the attached
screenshots. This also reveals the issue with the layout (padding of elements, etc.)
TagsNo tags attached.
Attached Filespng file icon IMG-0030.PNG [^] (129,823 bytes) 2019-02-04 16:51


png file icon IMG-0031.PNG [^] (130,138 bytes) 2019-02-04 16:51


png file icon Smartphone_01.png [^] (27,478 bytes) 2019-02-20 12:01


png file icon Desktop.png [^] (49,861 bytes) 2019-02-20 12:01

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0040202RR19Q1 closedjavierRodriguez [RR19Q1] [iPad] [UX] The user tag and "Bring" button in the cashup step of "Review pending receipts" displace the close button 

-  Notes
(0110268)
hgbot (developer)
2019-03-06 17:29

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 1eb79cfcd128f6b7d03acac27c8a60c6831133fc
Author: Javier Rodriguez <javier.rodriguez <at> openbravo.com>
Date: Wed Mar 06 11:41:40 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/1eb79cfcd128f6b7d03acac27c8a60c6831133fc [^]

Fixed issue 40125: The user tag and "Bring" button in the cashup step of "Review pending receipts" displace the close button

Created 3 components to show all the ticket information
Created styles to that components

---
M web/org.openbravo.retail.posterminal/css/obpos-main.css
M web/org.openbravo.retail.posterminal/js/closecash/view/tabpendingreceipts.js
---
(0110270)
hgbot (developer)
2019-03-06 18:27

Repository: tools/automation/pi-mobile
Changeset: 34ef546f013973da894aa9e1510e06163937e90e
Author: Javier Rodriguez <javier.rodriguez <at> openbravo.com>
Date: Wed Mar 06 18:27:34 2019 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/34ef546f013973da894aa9e1510e06163937e90e [^]

Related to issue 40125

Added two testId to testIdPack about session User in open ticket to bring in cashup
Changed test I39430 to check if the session user in open tickets is correct too

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/TestIdPack.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cashup/I39430_VerifyAnotherUserOpenedTicketsInCashUp.java
---
(0110275)
jorge-garcia (developer)
2019-03-07 08:52

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2019-02-04 16:49 inaki_garcia New Issue
2019-02-04 16:49 inaki_garcia Assigned To => Retail
2019-02-04 16:49 inaki_garcia Triggers an Emergency Pack => No
2019-02-04 16:49 inaki_garcia Category Web POS => Cash up
2019-02-04 16:51 inaki_garcia File Added: IMG-0030.PNG
2019-02-04 16:51 inaki_garcia File Added: IMG-0031.PNG
2019-02-04 17:44 inaki_garcia OS 5 => 50
2019-02-04 17:44 inaki_garcia OS Version => iOS 12.1.1 (16C50)
2019-02-04 17:44 inaki_garcia Summary [RR19Q1] [UX] The user tag and "Bring" button in the cashup step of "Review pending receipts" displace the close button => [RR19Q1] [iPad] [UX] The user tag and "Bring" button in the cashup step of "Review pending receipts" displace the close button
2019-02-14 15:59 marvintm Status new => scheduled
2019-02-20 09:29 javierRodriguez Assigned To Retail => javierRodriguez
2019-02-20 12:01 dbaz File Added: Smartphone_01.png
2019-02-20 12:01 dbaz File Added: Desktop.png
2019-03-06 17:29 hgbot Checkin
2019-03-06 17:29 hgbot Note Added: 0110268
2019-03-06 17:29 hgbot Status scheduled => resolved
2019-03-06 17:29 hgbot Resolution open => fixed
2019-03-06 17:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/1eb79cfcd128f6b7d03acac27c8a60c6831133fc [^]
2019-03-06 18:27 hgbot Checkin
2019-03-06 18:27 hgbot Note Added: 0110270
2019-03-07 08:38 jorge-garcia Review Assigned To => jorge-garcia
2019-03-07 08:52 jorge-garcia Note Added: 0110275
2019-03-07 08:52 jorge-garcia Status resolved => closed
2019-03-07 08:52 jorge-garcia Fixed in Version => RR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker